Package org.eclipse.debug.core

## Interface ILogicalStructureType

All Superinterfaces:
  `ILogicalStructureTypeDelegate`, `ILogicalStructureTypeDelegate2`

    public interface ILogicalStructureType
    extends ILogicalStructureTypeDelegate, ILogicalStructureTypeDelegate2

Provides a value representing the logical structure of a raw implementation value from a debug model. Logical structures are useful for navigating complex data structures. Logical structure types are contributed via extensions in plug-in XML, and provide a delegate for performing logical value computation. Logical structure types can be retrieved from the `DebugPlugin`.

Following is example plug-in XML to define a logical structure type.

     <extension point="org.eclipse.debug.core.logicalStructureTypes">
      <logicalStructureType
       id="com.example.ExampleLogicalStructure"
       class="com.example.ExampleLogicalStructureDelegate"
       modelIdentifier="com.example.debug.model"
       description="Ordered Collection">
      </logicalStructureType>
     </extension>

The attributes are specified as follows:

- id - unique identifier for this logical structure type
- class - fully qualified name of class that implements `ILogicalStructureTypeDelegate`
- modelIdentifier - identifier of the debug model this logical structure type is associated with
- description - description of the logical structure provided

Clients contributing logicalStructureType extensions are not intended to implement this interface. Rather, they provide an `ILogicalStructureTypeDelegate` that optionally implements `ILogicalStructureTypeDelegate2` to provide dynamic descriptions of logical structures. Since 3.1, clients contributing logicalStructureProviders extensions may implement this interface to return a collection of logical structure types applicable to a value.

Since:
  3.0
See Also:
  `ILogicalStructureTypeDelegate`, `ILogicalStructureProvider`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` Returns a simple description of the logical structure provided by this structure type.
`String` `getId()` Returns this logical structure type's unique identifier, as defined in plug-in XML.

### Methods inherited from interface org.eclipse.debug.core.model.ILogicalStructureTypeDelegate

`getLogicalStructure, providesLogicalStructure`

### Methods inherited from interface org.eclipse.debug.core.model.ILogicalStructureTypeDelegate2

`getDescription`

### Method Detail

#### getDescription

    String getDescription()

Returns a simple description of the logical structure provided by this structure type.

Since 3.1, this method can return `null` if this logical structure type's delegate implements `ILogicalStructureTypeDelegate2`.

Returns:
  a simple description of the logical structure provided by this structure type, possibly `null`

#### getId

    String getId()

Returns this logical structure type's unique identifier, as defined in plug-in XML.

Returns:
  this logical structure type's unique identifier